mime._defang Class Reference

## Public Member Functions

def | __init__ (self, scan_html=True)
def | __call__ (self, msg, savname=None, check=check_ext, scan_rfc822=True, scan_zip=False)

## Public Attributes

| scan_html
| scan_rfc822
| scan_zip

## Private Member Functions

def | _chk_name (self, msg)

## Private Attributes

| _savname
| _check

## Member Function Documentation

## __call__()

def mime._defang.__call__ | ( |  | self,
|  |  | msg,
|  |  | savname = `None`,
|  |  | check = `check_ext`,
|  |  | scan_rfc822 = `True`,
|  |  | scan_zip = `False`
| ) |  |

    Compatible entry point.
    Replace all attachments with dangerous names.

References mime._defang._check, mime._defang._chk_name(), mime._defang._savname, mime.check_attachments(), mime._defang.scan_rfc822, and mime._defang.scan_zip.

The documentation for this class was generated from the following file:

- mime.py